
#include <tqlabel.h>
#include <kinstance.h>
#include <tqstring.h>
#include <tqwidget.h>

#include "%{APPNAMELC}.h"
#include "%{APPNAMELC}.moc"

%{APPNAME}::%{APPNAME}(TDEInstance *inst,TQObject *parent,TQWidget *widgetParent, TQString &desktopName, const char* name):
                   KonqSidebarPlugin(inst,parent,widgetParent,desktopName,name)
{
	widget=new TQLabel("Init Value",widgetParent);
}


%{APPNAME}::~%{APPNAME}()
{
}

void %{APPNAME}::handleURL(const KURL &url)
{
	widget->setText(TQString("%{APPNAME}")+"::"+url.url());
}



extern "C"
{
    void* create_konqsidebar_%{APPNAME}(TDEInstance *instance,TQObject *par,TQWidget *widp,TQString &desktopname,const char *name)
    {
        return new %{APPNAME}(instance,par,widp,desktopname,name);
    }
};
